org.apache.pdfbox.pdmodel.interactive.viewerpreferences

## Enum PDViewerPreferences.BOUNDARY

- java.lang.Object
- - java.lang.Enum<PDViewerPreferences.BOUNDARY>
  - - org.apache.pdfbox.pdmodel.interactive.viewerpreferences.PDViewerPreferences.BOUNDARY

All Implemented Interfaces:
  Serializable, Comparable<PDViewerPreferences.BOUNDARY>

Enclosing class:
  PDViewerPreferences

    public static enum PDViewerPreferences.BOUNDARY
    extends Enum<PDViewerPreferences.BOUNDARY>

Enumeration containing all valid values for boundaries.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ArtBox` use art box as boundary.
`BleedBox` use bleed box as boundary.
`CropBox` use crop box as boundary.
`MediaBox` use media box as boundary.
`TrimBox` use trim box as boundary.

### Method Summary

All Methods Static Methods Concrete Methods
`static PDViewerPreferences.BOUNDARY` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDViewerPreferences.BOUNDARY[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MediaBox

    public static final PDViewerPreferences.BOUNDARY MediaBox

use media box as boundary.

#### CropBox

    public static final PDViewerPreferences.BOUNDARY CropBox

use crop box as boundary.

#### BleedBox

    public static final PDViewerPreferences.BOUNDARY BleedBox

use bleed box as boundary.

#### TrimBox

    public static final PDViewerPreferences.BOUNDARY TrimBox

use trim box as boundary.

#### ArtBox

    public static final PDViewerPreferences.BOUNDARY ArtBox

use art box as boundary.

### Method Detail

#### values

    public static PDViewerPreferences.BOUNDARY[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDViewerPreferences.BOUNDARY c : PDViewerPreferences.BOUNDARY.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDViewerPreferences.BOUNDARY valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null